Subject: Re: bug#50849: 28.0.50; Proposal for Emacs daemon to signal when being busy

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Sep 2022 14:31:32 +0300

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Fri, 09 Sep 2022 10:47:23 +0200
> 
> >>>>> On Thu, 08 Sep 2022 19:02:50 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     >> So if we set DEFAULT_TIMEOUT to 0, people who do nothing get no
>     >> messages, and people who do --timeout get messages. I think that
>     >> satisfies Eliʼs concern about compatibility
> 
>     Eli> Yes, I think so.
> 
>     >> (Iʼd even go so far as not setting the timeout at all if itʼs not
>     >> requested. Why yes, I am paranoid about changing old code).
> 
>     Eli> I agree.
> 
> So this simplifies the code considerably, and in fact removes the
> whole retry thing completely.

I agree that the code is much easier to follow after these changes.

Thanks.